Qt 5.11 | Qt 3D | C++ Classes | QSphereGeometry

Qt 5.11.3 Reference Documentation

# QSphereGeometry Class

(Qt3DExtras::QSphereGeometry)

The QSphereGeometry class allows creation of a sphere in 3D space. * * * * * The QSphereGeometry class is most commonly used internally by the QSphereMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses. More...

Header: | #include <Qt3DExtras/QSphereGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.7
Instantiated By: | SphereGeometry
Inherits: | Qt3DRender::QGeometry

- List of all members, including inherited members

## Properties

- generateTangents : bool
- indexAttribute : Qt3DRender::QAttribute* const
- normalAttribute : Qt3DRender::QAttribute* const
- positionAttribute : Qt3DRender::QAttribute* const
- radius : float

- rings : int
- slices : int
- tangentAttribute : Qt3DRender::QAttribute* const
- texCoordAttribute : Qt3DRender::QAttribute* const

- 1 property inherited from Qt3DRender::QGeometry
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSphereGeometry(Qt3DCore::QNode *parent = nullptr)
bool | generateTangents() const
Qt3DRender::QAttribute * | indexAttribute() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
Qt3DRender::QAttribute * | tangentAttribute() const
Qt3DRender::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

- 4 public functions inherited from Qt3DRender::QGeometry
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setGenerateTangents(bool gen)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 1 public slot inherited from Qt3DRender::QGeometry
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | generateTangentsChanged(bool generateTangents)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 1 signal inherited from Qt3DRender::QGeometry
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

* * * *

The QSphereGeometry class allows creation of a sphere in 3D space. * * * * * The QSphereGeometry class is most commonly used internally by the QSphereMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses.

## Property Documentation

### generateTangents : bool

Holds the value of the automatic tangent vectors generation flag. Tangent vectors are orthogonal to normal vectors.

Access functions:

bool | generateTangents() const
void | setGenerateTangents(bool gen)

Notifier signal:

void | generateTangentsChanged(bool generateTangents)

### indexAttribute : Qt3DRender::QAttribute* const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### normalAttribute : Qt3DRender::QAttribute* const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute* const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### radius : float

Holds the radius of the sphere.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the sphere.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the sphere.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### tangentAttribute : Qt3DRender::QAttribute* const

Holds the geometry tangent attribute.

Access functions:

Qt3DRender::QAttribute * | tangentAttribute() const

### texCoordAttribute : Qt3DRender::QAttribute* const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DRender::QAttribute * | texCoordAttribute() const

## Member Function Documentation

### QSphereGeometry::QSphereGeometry(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSphereGeometry with parent.

### void QSphereGeometry::updateIndices()

Updates indices based on rings and slices properties.

### void QSphereGeometry::updateVertices()

Updates vertices based on rings, slices, and radius properties